#!/bin/sh

# Remove Kate backup files
rm *~

# Wrapper does not work
# cp stderr_wrapper.py /home/mikel/galaxy/galaxy-dist/tools/OPPL/

# Local installation 

cp oppl.xml /home/mikel/galaxy/galaxy-dist/tools/OPPL/
cp inference.xml /home/mikel/galaxy/galaxy-dist/tools/OPPL/
cp query.xml /home/mikel/galaxy/galaxy-dist/tools/OPPL/
cp oppl_query.xml /home/mikel/galaxy/galaxy-dist/tools/OPPL/
cp merge.xml /home/mikel/galaxy/galaxy-dist/tools/OPPL/

cp oppl_galaxy.jar /home/mikel/galaxy/galaxy-dist/tool-data/shared/jars/
cp inference.jar /home/mikel/galaxy/galaxy-dist/tool-data/shared/jars/
cp query.jar /home/mikel/galaxy/galaxy-dist/tool-data/shared/jars/
cp oppl_query.jar /home/mikel/galaxy/galaxy-dist/tool-data/shared/jars/
cp merge.jar /home/mikel/galaxy/galaxy-dist/tool-data/shared/jars/

cp -r FaCT++-linux-v1.5.2 /home/mikel/galaxy/galaxy-dist/tool-data/shared/jars/

cp -r oppl_galaxy_lib /home/mikel/galaxy/galaxy-dist/tool-data/shared/jars/
cp -r inference_lib /home/mikel/galaxy/galaxy-dist/tool-data/shared/jars/
cp -r query_lib /home/mikel/galaxy/galaxy-dist/tool-data/shared/jars/
cp -r oppl_query_lib /home/mikel/galaxy/galaxy-dist/tool-data/shared/jars/
cp -r merge_lib /home/mikel/galaxy/galaxy-dist/tool-data/shared/jars/

# Copy src from Eclipse for release 

cp /home/mikel/UPM/Eclipse_Workspace/OPPL_Galaxy/src/es/upm/fi/dia/oeg/oppl/galaxy/OPPLGalaxy.java ./src/
cp /home/mikel/UPM/Eclipse_Workspace/OPPL_Galaxy/src/es/upm/fi/dia/oeg/oppl/galaxy/GalaxyOWLAPI.java ./src/
cp /home/mikel/UPM/Eclipse_Workspace/OPPL_Galaxy/src/es/upm/fi/dia/oeg/oppl/galaxy/InferenceGalaxy.java ./src/
cp /home/mikel/UPM/Eclipse_Workspace/OPPL_Galaxy/src/es/upm/fi/dia/oeg/oppl/galaxy/OWLQueryGalaxy.java ./src/
cp /home/mikel/UPM/Eclipse_Workspace/OPPL_Galaxy/src/es/upm/fi/dia/oeg/oppl/galaxy/OWLQueryGalaxy.java ./src/
cp /home/mikel/UPM/Eclipse_Workspace/OPPL_Galaxy/src/es/upm/cbgp/opplquery/oppl/galaxy/OPPLQueryGalaxy.java ./src/
cp /home/mikel/UPM/Eclipse_Workspace/OPPL_Galaxy/src/es/upm/cbgp/opplquery/oppl/galaxy/MergeImportedOntologies.java ./src/

# Copy files for google code release ('Backup' release, not open to public)

cp *.jar /home/mikel/UPM/Paper/SWAT4LS_2011/JBS_review/oppl-galaxy.src/
cp *.xml /home/mikel/UPM/Paper/SWAT4LS_2011/JBS_review/oppl-galaxy.src/
cp -r *_lib /home/mikel/UPM/Paper/SWAT4LS_2011/JBS_review/oppl-galaxy.src/
cp -r FaCT++-* /home/mikel/UPM/Paper/SWAT4LS_2011/JBS_review/oppl-galaxy.src/
cp -r src /home/mikel/UPM/Paper/SWAT4LS_2011/JBS_review/oppl-galaxy.src/
cp -r test-data /home/mikel/UPM/Paper/SWAT4LS_2011/JBS_review/oppl-galaxy.src/
cp README /home/mikel/UPM/Paper/SWAT4LS_2011/JBS_review/oppl-galaxy.src/

# ##### NOTES

# To kill Galaxy easily: ./run.sh --reload

# Usual mercurial session: update, status, add, commit -m 'Changes', push



